Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Halide::Internal::Autoscheduler::Span Class Reference

`#include <FunctionDAG.h>`

## Public Member Functions
int64_t | min () const
int64_t | max () const
int64_t | extent () const
bool | constant_extent () const
void | union_with (const Span &other)
void | set_extent (int64_t e)
void | translate (int64_t x)
| Span (int64_t a, int64_t b, bool c)
| Span ()=default
| Span (const Span &other)=default
int64_t | min () const
int64_t | max () const
int64_t | extent () const
bool | constant_extent () const
void | union_with (const Span &other)
void | set_extent (int64_t e)
void | translate (int64_t x)
| Span (int64_t a, int64_t b, bool c)
| Span ()=default
| Span (const Span &other)=default

## Static Public Member Functions
static Span | empty_span ()
static Span | empty_span ()

## Detailed Description

Definition at line 226 of file FunctionDAG.h.

## Constructor & Destructor Documentation

## ◆ Span() [1/6]

Halide::Internal::Autoscheduler::Span::Span | ( | int64_t | a,
|  | int64_t | b,
|  | bool | c
| ) |  |
| inline

Definition at line 259 of file FunctionDAG.h.

## ◆ Span() [2/6]

Halide::Internal::Autoscheduler::Span::Span | ( |  | ) |
| default

Referenced by empty_span().

## ◆ Span() [3/6]

Halide::Internal::Autoscheduler::Span::Span | ( | const Span & | other | ) |
| default

## ◆ Span() [4/6]

Halide::Internal::Autoscheduler::Span::Span | ( | int64_t | a,
|  | int64_t | b,
|  | bool | c
| ) |  |
| inline

Definition at line 287 of file FunctionDAG.h.

## ◆ Span() [5/6]

Halide::Internal::Autoscheduler::Span::Span | ( |  | ) |
| default

## ◆ Span() [6/6]

Halide::Internal::Autoscheduler::Span::Span | ( | const Span & | other | ) |
| default

## Member Function Documentation

## ◆ min() [1/2]

int64_t Halide::Internal::Autoscheduler::Span::min | ( |  | ) | const
| inline

Definition at line 231 of file FunctionDAG.h.

## ◆ max() [1/2]

int64_t Halide::Internal::Autoscheduler::Span::max | ( |  | ) | const
| inline

Definition at line 234 of file FunctionDAG.h.

## ◆ extent() [1/2]

int64_t Halide::Internal::Autoscheduler::Span::extent | ( |  | ) | const
| inline

Definition at line 237 of file FunctionDAG.h.

## ◆ constant_extent() [1/2]

bool Halide::Internal::Autoscheduler::Span::constant_extent | ( |  | ) | const
| inline

Definition at line 240 of file FunctionDAG.h.

## ◆ union_with() [1/2]

void Halide::Internal::Autoscheduler::Span::union_with | ( | const Span & | other | ) |
| inline

Definition at line 244 of file FunctionDAG.h.

References Halide::cast(), Halide::Internal::ConstantInterval::max, and Halide::Internal::ConstantInterval::min.

## ◆ set_extent() [1/2]

void Halide::Internal::Autoscheduler::Span::set_extent | ( | int64_t | e | ) |
| inline

Definition at line 250 of file FunctionDAG.h.

## ◆ translate() [1/2]

void Halide::Internal::Autoscheduler::Span::translate | ( | int64_t | x | ) |
| inline

Definition at line 254 of file FunctionDAG.h.

## ◆ empty_span() [1/2]

static Span Halide::Internal::Autoscheduler::Span::empty_span | ( |  | ) |
| inline static

Definition at line 264 of file FunctionDAG.h.

References Halide::cast(), and Span().

## ◆ min() [2/2]

int64_t Halide::Internal::Autoscheduler::Span::min | ( |  | ) | const
| inline

Definition at line 259 of file FunctionDAG.h.

## ◆ max() [2/2]

int64_t Halide::Internal::Autoscheduler::Span::max | ( |  | ) | const
| inline

Definition at line 262 of file FunctionDAG.h.

## ◆ extent() [2/2]

int64_t Halide::Internal::Autoscheduler::Span::extent | ( |  | ) | const
| inline

Definition at line 265 of file FunctionDAG.h.

## ◆ constant_extent() [2/2]

bool Halide::Internal::Autoscheduler::Span::constant_extent | ( |  | ) | const
| inline

Definition at line 268 of file FunctionDAG.h.

## ◆ union_with() [2/2]

void Halide::Internal::Autoscheduler::Span::union_with | ( | const Span & | other | ) |
| inline

Definition at line 272 of file FunctionDAG.h.

References Halide::cast(), Halide::Internal::ConstantInterval::max, and Halide::Internal::ConstantInterval::min.

## ◆ set_extent() [2/2]

void Halide::Internal::Autoscheduler::Span::set_extent | ( | int64_t | e | ) |
| inline

Definition at line 278 of file FunctionDAG.h.

## ◆ translate() [2/2]

void Halide::Internal::Autoscheduler::Span::translate | ( | int64_t | x | ) |
| inline

Definition at line 282 of file FunctionDAG.h.

## ◆ empty_span() [2/2]

static Span Halide::Internal::Autoscheduler::Span::empty_span | ( |  | ) |
| inline static

Definition at line 294 of file FunctionDAG.h.

References Halide::cast(), and Span().

The documentation for this class was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h